Skip to content

Creates a new fee record that does not already exist.

Request

This method will auto-generate an ID and create a new fee. If an ID is specified for the fee, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The fee that you would like to be saved.

allow_customer_to_choose_installment_planboolean(Allow Customer To Choose Installment Plan)

If true, the customer can choose their installment plan

bundled_productsArray of objects, non-emptyrequired
bundled_products_inventory_handlingstring(Bundled Products Inventory Handling)

Whether to track inventory for the entire bundle, or for each product separately

Enum:"bundle""each product"
business_unit_idstring(Business Unit)required

The business unit of the product

cancellation_feenumber, (double)(Cancellation Fee)

Cancellation fees associated with this product

custom_field_valuesArray of objects(Custom Field Values)
enable_bundled_productsboolean(Enable Bundled Products)

Whether to enable bundled products

enable_cancellation_feesboolean(Enable Cancellation Fees)

Whether or not cancellation fees are applicable

enable_purchasing_eligibilityboolean(Enable Purchasing Eligibility)

If set, purchases of this merchandise are restricted

foreign_currency_pricesArray of objects
idstring(ID)/^[\w|-]+$/required

The unique, string identifier of this miscellaneous product

installment_plan_optionsArray of objects, non-emptyrequired
is_activeboolean(Is Active)

Whether this product is active/used

member_pricenumber, (double)(Member Price)

The price of the product for an active member

namestring(Name)required

The name of the miscellaneous product

notesstring(Notes)

Notes

portal_optionsobject(Portal Options)
pricenumber, (double)(Price)required

The price of the product

publish_to_portalboolean(Publish To Portal)

Whether or not this product should be available in the portal

purchasing_eligibility_criteriaobject(Purchasing Eligibility Criteria)required
sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

typestring(Type)

The product type

Value:"certifications-fees"
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/fees/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "allow_customer_to_choose_installment_plan": true,
    "bundled_products": [
      {
        "product_id": "string",
        "product_type": "string",
        "quantity": 0,
        "type": "bundled product"
      }
    ],
    "bundled_products_inventory_handling": "bundle",
    "business_unit_id": "string",
    "cancellation_fee": 0.1,
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "enable_bundled_products": true,
    "enable_cancellation_fees": true,
    "enable_purchasing_eligibility": true,
    "foreign_currency_prices": [
      {
        "cancellation_fee": 0.1,
        "currency_code": "AED",
        "member_price": 0.1,
        "price": 0.1,
        "restocking_fee": 0.1
      }
    ],
    "id": "string",
    "installment_plan_options": [
      {
        "additional_cost": 0.1,
        "installment_plan_id": "string",
        "is_default": true
      }
    ],
    "is_active": true,
    "member_price": 0.1,
    "name": "string",
    "notes": "string",
    "portal_options": {
      "available_from": "2019-08-24T14:15:22Z",
      "available_until": "2019-08-24T14:15:22Z"
    },
    "price": 0.1,
    "publish_to_portal": true,
    "purchasing_eligibility_criteria": {
      "certificants": true,
      "certification_options": {
        "program_ids": [
          "string"
        ]
      },
      "committee_member_options": {
        "committee_ids": [
          "string"
        ],
        "committee_position_ids": [
          "string"
        ],
        "committee_type_ids": [
          "string"
        ]
      },
      "committee_members": true,
      "customer_type": "contact",
      "maximum_age": 0.1,
      "member_options": {
        "chapter_member_options": {
          "chapter_ids": [
            "string"
          ],
          "chapter_type_ids": [
            "string"
          ]
        },
        "chapter_members": true,
        "member_package_ids": [
          "string"
        ],
        "member_status_reason_ids": [
          "string"
        ],
        "member_statuses": [
          "active"
        ],
        "member_type_ids": [
          "string"
        ],
        "section_member_options": {
          "section_ids": [
            "string"
          ],
          "section_type_ids": [
            "string"
          ]
        },
        "section_members": true
      },
      "members": true,
      "minimum_age": 0.1,
      "non_members": true
    },
    "sys_bulk_load_id": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_locked": true,
    "sys_version": 0.1,
    "type": "certifications-fees"
  }'

Responses

The fee was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
allow_customer_to_choose_installment_planboolean(Allow Customer To Choose Installment Plan)

If true, the customer can choose their installment plan

bundled_productsArray of objects, non-emptyrequired
bundled_products_inventory_handlingstring(Bundled Products Inventory Handling)

Whether to track inventory for the entire bundle, or for each product separately

Enum:"bundle""each product"
business_unit_idstring(Business Unit)required

The business unit of the product

cancellation_feenumber, (double)(Cancellation Fee)

Cancellation fees associated with this product

custom_field_valuesArray of objects(Custom Field Values)
enable_bundled_productsboolean(Enable Bundled Products)

Whether to enable bundled products

enable_cancellation_feesboolean(Enable Cancellation Fees)

Whether or not cancellation fees are applicable

enable_purchasing_eligibilityboolean(Enable Purchasing Eligibility)

If set, purchases of this merchandise are restricted

foreign_currency_pricesArray of objects
idstring(ID)/^[\w|-]+$/required

The unique, string identifier of this miscellaneous product

installment_plan_optionsArray of objects, non-emptyrequired
is_activeboolean(Is Active)

Whether this product is active/used

member_pricenumber, (double)(Member Price)

The price of the product for an active member

namestring(Name)required

The name of the miscellaneous product

notesstring(Notes)

Notes

portal_optionsobject(Portal Options)
pricenumber, (double)(Price)required

The price of the product

publish_to_portalboolean(Publish To Portal)

Whether or not this product should be available in the portal

purchasing_eligibility_criteriaobject(Purchasing Eligibility Criteria)required
sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

typestring(Type)

The product type

Value:"certifications-fees"
Response
{ "allow_customer_to_choose_installment_plan": true, "bundled_products": [ { … } ], "bundled_products_inventory_handling": "bundle", "business_unit_id": "string", "cancellation_fee": 0.1, "custom_field_values": [ { … } ], "enable_bundled_products": true, "enable_cancellation_fees": true, "enable_purchasing_eligibility": true, "foreign_currency_prices": [ { … } ], "id": "string", "installment_plan_options": [ { … } ], "is_active": true, "member_price": 0.1, "name": "string", "notes": "string", "portal_options": { "available_from": "2019-08-24T14:15:22Z", "available_until": "2019-08-24T14:15:22Z" }, "price": 0.1, "publish_to_portal": true, "purchasing_eligibility_criteria": { "certificants": true, "certification_options": { … }, "committee_member_options": { … }, "committee_members": true, "customer_type": "contact", "maximum_age": 0.1, "member_options": { … }, "members": true, "minimum_age": 0.1, "non_members": true }, "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1, "type": "certifications-fees" }